    Lebenswichtige Hinweise zur Benutzung von troff & friends
    ---------------------------------------------------------

Das Shellscript /usr/local/bin/rof dient auf den Suns als Front-End
fuer ditroff/psdit, pic, eqn, tbl usw.  rof ruft den ditroff mit dem
Makrosatz mfb20 auf.  mfb20 ist eine Obermenge von ms und ermoeglicht
u.a. die Benutzung von Umlauten.

Umlaute werden folgendermassen benutzt:

  \*a \*A    Umlaut-a, Umlaut-A
  \*o \*O    Umlaut-o, Umlaut-O
  \*u \*U    Umlaut-u, Umlaut-U
  \*s        Es-zett

mfb20 setzt ausserdem die Pointsize, den Pageindent und andere Variablen
auf sinnvolle Werte (more /usr/local/lib/tmac/tmac.fb20) und definiert die
Makros PS und PE fuer pic.

Aufruf von rof:   rof [options] [filenames]

Optionen sind:

  -Pprinter       Angabe des Printers (wie bei lpr(1)).  Default ist
		  -P$PRINTER falls definiert, sonst -Pps.

  -mmacros        Angabe von Makrosaetzen.  Default ist -mfb20.

  -t              PostScript wird nach Standard-Output ausgegeben aber
		  nicht gedruckt.

  -f[filters]     filters gibt die Filter an, die gebraucht werden.
		  Default ist pt.
		  Folgende Filter koennen angegeben werden:

		  e   eqn
		  p   pic
		  t   tbl
		  b   Leerzeilen werden weggeworfen
		  c   kein sed fuer Umlaute und Anfuehrungszeichen
		      (siehe /usr/local/lib/ps/ps.sed)
		  a   Filter fuer Vorlesungsfolien

  -2 -4 -8        Verkleinerte Ausgabe.  Es werden jeweils 2, 4, bzw. 8
		  Seiten auf einer physikalischen Seite gedruckt.
		  Sinnvoll zum Ausgeben von Manual-Pages, z.B.
		    
		    rof -man -4 /usr/man/man1/sh.1

		  wenn man noch gute Augen hat, sonst -2 statt -4.

  -L              Ausgabe im Landscape-Format.

  -troff          troff-input wird erzeugt, aber der troff nicht
		  gestartet.

  -C* -J* -#*     Werden an lpr uebergeben (man lpr).
  -h -m

  -pprolog        PostScript-Prolog fuer psdit.  Default ist
		  /usr/local/lib/ps/psdit.pro.roman8 bzw.
		  psdit.land.roman8 (Landscape).

  -anything       Alle anderen Optionen werden an den troff uebergeben.


Die Fontpositionen 1 bis 9 sind per Default so belegt:

  1 R   2 I   3 B   4 BI   5 H   6 HO   7 HB   8 HD   9 S

Folgende Fonts stehen zur Zeit zur Verfuegung (jeweils troff-Name und
PostScript-Name):

  R    Times-Roman
  I    Times-Italic
  B    Times-Bold
  BI   Times-BoldItalic

  A    AvantGarde-Book
  AB   AvantGarde-Demi
  AD   AvantGarde-DemiOblique
  AO   AvantGarde-BookOblique

  C    Courier
  CB   Courier-Bold
  CD   Courier-BoldOblique
  CO   Courier-Oblique

  H    Helvetica
  HB   Helvetica-Bold
  HD   Helvetica-BoldOblique
  HO   Helvetica-Oblique

  N    Helvetica-Narrow
  NB   Helvetica-Narrow-Bold
  ND   Helvetica-Narrow-BoldOblique
  NO   Helvetica-Narrow-Oblique

  PB   Palatino-Bold
  PD   Palatino-BoldItalic
  PI   Palatino-Italic
  PR   Palatino-Roman

  X    NewCenturySchlbk-Roman
  XB   NewCenturySchlbk-Bold
  XD   NewCenturySchlbk-BoldItalic
  XI   NewCenturySchlbk-Italic

  Z    Bookman-Light
  ZB   Bookman-Demi
  ZD   Bookman-DemiItalic
  ZI   Bookman-LightItalic

  ZC   ZapfChancery-MediumItalic

  S    Symbol
